MDC< T > Class Template Reference

MDC cipher. More...

Inheritance diagram for MDC< T >:

## Public Types

typedef BlockCipherFinal< ENCRYPTION, Enc > | Encryption
| use BlockCipher interface

## Additional Inherited Members

Static Public Member Functions inherited from MDC_Info< T >
static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< T::BLOCKSIZE >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from FixedBlockSize< T::DIGESTSIZE >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from FixedKeyLength< T::BLOCKSIZE >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

### template<class T>
class MDC< T >

MDC cipher.

MDC() is a construction by Peter Gutmann to turn an iterated hash function into a PRF

See also
  MDC

Definition at line 29 of file mdc.h.

The documentation for this class was generated from the following file:

- mdc.h